<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">

    <title></title>
   
</head>
<body>
  <p>welcome to meeee<p>  
  <!---<script src="./producerfront.js" type="text/javascript"></script>--->
  <script src="/socket.io/socket.io.js"></script>

  <script type="text/javascript">
  
  
  
  let socket = io();
  let sequenceNumberByClient = new Map();
  socket.on('connect', ()=>{
    console.log('connected to the server:'+socket.id);
    var id = socket.id;
    document.write('connected to the server:'+id);
    sequenceNumberByClient.set(socket, 1);

    socket.on('pshh',(msg)=>{
    //console.log(msg+'\n');
    document.write(msg+'\n');
        });
  
    
    socket.emit("type_client", "front");
    /*socket.on("hello", (arg) => {
  console.log(arg);*/
    /////////////////////////////////////// 
    /*
    setInterval(() => {
    for (const [client, sequenceNumber] of sequenceNumberByClient.entries()) {
        produce(socket.id,sequenceNumber).catch((err) => {
            console.error("error in producer: ", err)
           
        })
        
        sequenceNumberByClient.set(client, sequenceNumber + 1);
    }
}, 10000)
*/
         
    //////////////////////////////////////// 
  });
  
  
  socket.on('disconnect', ()=>{
    console.log('disconnected from the server');
  });
  
  
  //document.write(msg)
   </script> 

</html>
